IOX-ROUDI(1)

NAME
iox-roudi - Iceoryx shared memory management daemon

SYNOPSIS
iox-roudi [-u ID] [-m MODE] [-l LEVEL] [-x COMPAT] [-k DELAY] [-c FILE]

DESCRIPTION
iox-roudi is the shared memory management daemon that enables processes to participate in the local Iceoryx data exchange.

OPTIONS

-u ID, --unique-roudi-id ID
    set the unique RouDi id.

-m MODE, --monitoring-mode MODE
    set process alive monitoring mode to on (default) or off.

-l LEVEL, --log-level LEVEL
    set the log level to one of off, fatal, error, warning, info, debug, or verbose.

-x COMPAT, --compatibility COMPAT
    check the compatibility between runtime libraries and RouDi. Valid values are off, major, minor, patch, commitId, or buildDate.

-k DELAY, --kill-delay DELAY
    set the delay in seconds until RouDi sends SIGKILL if a process did not respond to SIGTERM.

-c FILE, --config-file FILE
    Load the configuration file FILE. By default, RouDi will look for a valid configuration in /etc/iceoryx/roudi_config.toml and fall back to hard-coded settings otherwise.

SEE ALSO
iox-introspection-client(1)

NOTE
This manual page was written for Debian by Timo Röhling and may be used without restriction.